tslint-config-leapfrog

1.0.3 • Public • Published

tslint-config-leapfrog

npm version downloads

Set of TSLint rules for TypeScript projects at Leapfrog.

tslint-config-leapfrog adds rules from tslint-consistent-codestyle and tslint-react.

Requires

  • TypeScript >= 2.5.0
  • TSLint >= 5.8.0

Usage

Add tslint-config-leapfrog as a dev dependency.

yarn add tslint-config-leapfrog --dev

Include tslint-config-leapfrog in your tslint.json file.

{
  "extends": [
    "tslint-config-leapfrog"
  ]
}

For projects using React, include tslint-config-leapfrog/react which contains TSLint rules specific to React.

{
  "extends": [
    "tslint-config-leapfrog/react"
  ]
}

License

MIT

Package Sidebar

Install

npm i tslint-config-leapfrog

Weekly Downloads

352

Version

1.0.3

License

MIT

Unpacked Size

5.14 kB

Total Files

5

Last publish

Collaborators

  • kabirbaidhya
  • mesaugat
  • leapfrogsuperadmin